## ros-humble-ament-pep257 0.12.7

=== debian/changelog ===
ros-humble-ament-pep257 (0.12.7-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-ament-pep257 (0.12.6-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-ament-pep257 (0.12.5-2jammy) jammy; urgency=high

  * Added undescore to ignore new pydocstyle item (backport #428 <https://github.com/ament/ament_lint/issues/428>) (#429 <https://github.com/ament/ament_lint/issues/429>)
  * Contributors: mergify[bot]

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-ament-pep257 (0.12.4-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 00:00:00 -0000

ros-humble-ament-pep257 (0.12.3-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-ament-pep257 (0.12.2-2jammy) jammy; urgency=high

  * Improve documentation by clarifying the purpose of different tools (#357 <https://github.com/ament/ament_lint/issues/357>)
  * Contributors: Bi0T1N

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-ament-pep257 (0.12.1-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-ament-pep257 (0.12.0-2jammy) jammy; urgency=high

  * Remove use of distutils.version.LooseVersion. (#346 <https://github.com/ament/ament_lint/issues/346>)
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Feb 2022 00:00:00 -0000

ros-humble-ament-pep257 (0.11.4-2jammy) jammy; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ament-pep257 (0.11.3-2jammy) jammy; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ament-pep257 (0.11.2-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.11.1-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.11.0-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.10.6-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.10.5-2jammy) jammy; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.10.4-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.10.3-2jammy) jammy; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.10.2-2jammy) jammy; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.10.1-2jammy) jammy; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-ament-pep257 (0.10.0-2jammy) jammy; urgency=high

  * remove use of "extend" action in argparse (#262 <https://github.com/ament/ament_lint/issues/262>)
  * Expand ignores to pep257 definition. (#241 <https://github.com/ament/ament_lint/issues/241>)
    * Expand ignores to pep257 definition. (ament #240 <https://github.com/ament/ament_lint/issues/240>)
    * add '--allow-undocumented' flag to enforce pep257
    * restore existing default error codes to check
    * fix no-ignores logic
    * expose options from pydocstyle
    * allow user to explicitly set convention to "ament"
    * fix typo in populating argv for pydocstyle
    * reformat ament convention list
    * Add help info for ament convention
  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * remove match args to allow pydocstyle defaults (#243 <https://github.com/ament/ament_lint/issues/243>)
  * Contributors: Chris Lalancette, Ted Kern

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-humble-ament-pep257 (0.9.4-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-humble-ament-pep257 (0.9.3-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-humble-ament-pep257 (0.9.2-2jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-humble-ament-pep257 (0.9.1-2jammy) jammy; urgency=high


